
AUTO_CC = \
  GdomeSmartDOMDOMString.cc \
  GdomeSmartDOMDOMStringAux.cc \
  GdomeSmartDOMGdomeStringAux.cc \
  GdomeSmartDOMDOMException.cc

BUILT_SOURCES = $(AUTO_CC)

CLEANFILES = $(AUTO_CC)

noinst_LTLIBRARIES = libbasic.la

libbasic_la_SOURCES = \
  $(AUTO_CC)

if HAVE_SED_COND

GdomeSmartDOM%.cc: $(top_srcdir)/src/shared/%.cc.in
	$(SED) s/@DOM_NAMESPACE@/GdomeSmartDOM/ <$< >$@

endif

INCLUDES = \
  $(GDOME_CFLAGS) \
  -I$(srcdir)/../include

